﻿@model PRUEBA.VIEWMODELS.CLIENTELIST_VM


@{
    ViewBag.Title = "Home Page";
}

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
<script src="js/bootstrap-table-pagination.js"></script>
<script src="js/pagination.js"></script>

    <div class="btn-group" role="group" aria-label="...">
        <input type="button" class="btn btn-default" onclick="addnew()" value="Nuevo"/>
        <button type="button" class="btn btn-default" onclick="editar()">Editar</button>
        <button type="button" class="btn btn-default" onclick="">Eliminar</button>
    </div>

<br />
<br />

    <div class="modal-body">
    <div id='myModalContent'>
        <br />
        <div class="table-responsive-lg">
            <div class="table-responsive-lg">
                    <table class="table">
                        <thead class="thead-dark">
                            <tr>
                            <tr>
                                <th scope="col">NOMBRE</th>
                                <th scope="col">DIRECCION</th>
                                <th scope="col">STATUS</th>
                                <th scope="col">EDITAR/ELIMINAR</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>

                            @{
                                foreach (var item in Model.CLIENTES)
                                {
                                    <tr>
                                        <td>
                                            @item.NOMBRE
                                        </td>
                                        <td>
                                            @item.DIRECCION
                                        </td>
                                        <td>
                                            @if (@item.STATUS == true)
                                            {
                                                <span>ACTIVO</span>

                                            }
                                            else
                                            {
                                                <span>NO ACTIVO</span>
                                            }
                                        </td>
                                        <td>
                                            EDITAR/ELIMINAR
                                        </td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                }
                            }
                        </tbody>
                    </table>
                </div>
            </div>
      </div>
    </div>



    <script type="text/javascript">
        function addnew() {
            $.ajax({
                url: "/Home/addnew",
                type: "POST",
                data: {},
                success: function (data) {
                    if (data) {
                        $('#myModalContent').html(data);
                        $('#addnew').hide();
                    }
                    else {
                        alert("Error al cargar las Deductivas del contrato seleccionado. ");
                    }
                },
                error: function () {
                    alert("Error al recibir datos");
                }
            });
        }
    </script>

    <script type="text/javascript">
        function saveNewitem() {
            var data = {
                CLIENTE_ID: $("#CLIENTE_ID").val(),
                NOMBRE: $("#NOMBRE").val(),
                TIPO_CLIENTE: $("#TIPO_CLIENTE").val(),
                DIRECCION: $("#DIRECCION").val(),
                STATUS: $("#STATUS").val()
            }

            $.ajax({
                url: "/Home/saveNewitem",
                type: "POST",
                data: { data: data },
                success: function (data) {

                    if (data) {
                        $('#detalles').html(data);
                        $('#myModal').hide();

                    }
                    else {
                        alert("Error al cargar las Deductivas del contrato seleccionado. ");
                    }
                },
                error: function () {
                    alert("Error al recibir datos");
                }
            });
        }
    </script>


   <script type="text/javascript">
        function update() {
            $.ajax({
                url: "/Home/update",
                type: "POST",
                data: { data: data },
                success: function (data) {
                    if (data) {
                        $('#myModalContent').html(data);
                        $('#updeta').hide();
                    }
                    else {
                        alert("Error");
                    }
                },
                error: function () {
                    alert("Error al recibir datos");
                }
            });
        }
    </script>

<script type="text/javascript">
        function saveNewitemm() {
            var data = {
                CLIENTE_ID: $("#CLIENTE_ID").val(),
                NOMBRE: $("#NOMBRE").val(),
                TIPO_CLIENTE: $("#TIPO_CLIENTE").val(),
                DIRECCION: $("#DIRECCION").val(),
                STATUS: $("#STATUS").val()
            }

            $.ajax({
                url: "/Home/saveNewitemm",
                type: "POST",
                data: { data: data },
                success: function (data) {

                    if (data) {
                        $('#detalles').html(data);
                        $('#myModal').hide();

                    }
                    else {
                        alert("Error al cargar las Deductivas del contrato seleccionado. ");
                    }
                },
                error: function () {
                    alert("Error al recibir datos");
                }
            });
        }
</script>

<script type="text/javascript">
$(document).ready(function() {
    editor = new $.fn.dataTable.Editor( {
        ajax: "Home/Index",
        table: "#example",
        display: 'envelope',
        fields: [ {
                label: "Name:",
                name: "Name"
            }, {
                label: "Direccion:",
                name: "Direccion"
            }, {
                label: "Status:",
                name: "Status"
            }
        ]
    } );

    // New record
    $('a.editor_create').on( 'click', function (e) {
        e.preventDefault();

        editor
            .title( 'Agregar' )
            .buttons( { "label": "Agregar", "fn": function () { editor.submit() } } )
            .create();
    } );

    // Edit record
    $('#editar').on( 'click', 'a.editor_editar', function (e) {
        e.preventDefault();

        editor
            .title( 'Editar' )
            .buttons( { "label": "Editar", "fn": function () { editor.submit() } } )
            .edit( $(this).closest('tr') );
    } );

    // Delete a record
    $('#eliminar').on( 'click', 'a.editor_eliminar', function (e) {
        e.preventDefault();

        editor
            .title( 'Eliminar' )
            .message( "¿Estas seguro que deseas eliminar este elemento?" )
            .buttons( { "label": "Eliminar", "fn": function () { editor.submit() } } )
            .remove( $(this).closest('tr') );
    } );

    $('#example').DataTable( {
        ajax: "Home/Index" [
            { data: null, render: function ( data, type, row ) {
                // Combine the first and last names into a single table field
                return data.Name;
            } },
            { data: "Nombre" },
            { data: "Direccion" },
            { data: "Status" },
            {
                data: null,
                className: "center",
                defaultContent: '<a href="" class="editor_editar">Editar</a> / <a href="" class="editor_eliminar">Eliminar</a>'
            }
        ]
    });
});
</script>